Bug 241956 - Add caution against use of whole disks in zpools used for booting, mirrors, and RAID-Zs.
Summary: Add caution against use of whole disks in zpools used for booting, mirrors, a...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-11-13 19:30 UTC by PauAmma
Modified: 2019-12-08 14:23 UTC (History)
2 users (show)

See Also:


Attachments
Caution against inadvisable use of whole unpartitioned disks (876 bytes, patch)
2019-11-13 19:30 UTC, PauAmma
no flags Details | Diff
Updated patch with language tweaks suggested by tsoome and Allan Jude (956 bytes, patch)
2019-11-14 00:16 UTC, PauAmma
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description PauAmma freebsd_triage 2019-11-13 19:30:47 UTC
Created attachment 209136 [details]
Caution against inadvisable use of whole unpartitioned disks

Based on a Freenode IRC discussion with tsoome.
Comment 1 Allan Jude freebsd_committer 2019-11-13 22:26:59 UTC
Agreed.

It might be helpful to explain why (with no partitioning, there is no place to put the boot code)
Comment 2 PauAmma freebsd_triage 2019-11-14 00:16:34 UTC
Created attachment 209140 [details]
Updated patch with language tweaks suggested by tsoome and Allan Jude
Comment 3 commit-hook freebsd_committer 2019-12-08 14:22:40 UTC
A commit references this bug:

Author: bcr
Date: Sun Dec  8 14:21:39 UTC 2019
New revision: 53667
URL: https://svnweb.freebsd.org/changeset/doc/53667

Log:
  Add a caution against using whole disks for
  zpools that are used for booting, mirrors,
  and RAIDZ.

  PR:		241956
  Submitted by:	pauamma@gundo.com
  Approved by:	tsoome@
  Differential Revision:	https://reviews.freebsd.org/D22663

Changes:
  head/en_US.ISO8859-1/books/handbook/zfs/chapter.xml
Comment 4 Benedict Reuschling freebsd_committer 2019-12-08 14:23:23 UTC
Thank you for submitting a fix. It's appreciated!
PR closed.